Package com.sap.ai.sdk.orchestration.model

# Class CompletionRequestConfigurationReferenceByNameScenarioVersion

java.lang.Object
com.sap.ai.sdk.orchestration.model.CompletionRequestConfigurationReferenceByNameScenarioVersion

All Implemented Interfaces:
  `CompletionPostRequest`

public class CompletionRequestConfigurationReferenceByNameScenarioVersion extends Object implements CompletionPostRequest
CompletionRequestConfigurationReferenceByNameScenarioVersion

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `CompletionRequestConfigurationReferenceByNameScenarioVersion.Builder`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `CompletionRequestConfigurationReferenceByNameScenarioVersion()`
  Default constructor for CompletionRequestConfigurationReferenceByNameScenarioVersion.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CompletionRequestConfigurationReferenceByNameScenarioVersion`
  `addMessagesHistoryItem(ChatMessage messagesHistoryItem)`
  Add one messagesHistory instance to this `CompletionRequestConfigurationReferenceByNameScenarioVersion`.
  `CompletionRequestConfigurationReferenceByNameScenarioVersion`
  `configRef(CompletionRequestConfigurationReferenceByNameScenarioVersionConfigRef configRef)`
  Set the configRef of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance and return the same instance.
  `static CompletionRequestConfigurationReferenceByNameScenarioVersion.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `CompletionRequestConfigurationReferenceByNameScenarioVersionConfigRef`
  `getConfigRef()`
  Get configRef
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `CompletionRequestConfigurationReferenceByNameScenarioVersion`.
  `List<ChatMessage>`
  `getMessagesHistory()`
  History of chat messages.
  `Map<String,String>`
  `getPlaceholderValues()`
  Get placeholderValues
  `int`
  `hashCode()`
  `CompletionRequestConfigurationReferenceByNameScenarioVersion`
  `messagesHistory(List<ChatMessage> messagesHistory)`
  Set the messagesHistory of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance and return the same instance.
  `CompletionRequestConfigurationReferenceByNameScenarioVersion`
  `placeholderValues(Map<String,String> placeholderValues)`
  Set the placeholderValues of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance and return the same instance.
  `CompletionRequestConfigurationReferenceByNameScenarioVersion`
  `putplaceholderValuesItem(String key, String placeholderValuesItem)`
  Put one placeholderValues instance to this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance.
  `void`
  `setConfigRef(CompletionRequestConfigurationReferenceByNameScenarioVersionConfigRef configRef)`
  Set the configRef of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance.
  `void`
  `setMessagesHistory(List<ChatMessage> messagesHistory)`
  Set the messagesHistory of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance.
  `void`
  `setPlaceholderValues(Map<String,String> placeholderValues)`
  Set the placeholderValues of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CompletionRequestConfigurationReferenceByNameScenarioVersion

    protected CompletionRequestConfigurationReferenceByNameScenarioVersion()
    Default constructor for CompletionRequestConfigurationReferenceByNameScenarioVersion.

- ## Method Details

  - ### configRef

    @Nonnull public CompletionRequestConfigurationReferenceByNameScenarioVersion configRef(@Nonnull CompletionRequestConfigurationReferenceByNameScenarioVersionConfigRef configRef)
    Set the configRef of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance and return the same instance.
    Parameters:
      `configRef` - The configRef of this `CompletionRequestConfigurationReferenceByNameScenarioVersion`
    Returns:
      The same instance of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` class

  - ### getConfigRef

    @Nonnull public CompletionRequestConfigurationReferenceByNameScenarioVersionConfigRef getConfigRef()
    Get configRef
    Returns:
      configRef The configRef of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance.

  - ### setConfigRef

    public void setConfigRef(@Nonnull CompletionRequestConfigurationReferenceByNameScenarioVersionConfigRef configRef)
    Set the configRef of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance.
    Parameters:
      `configRef` - The configRef of this `CompletionRequestConfigurationReferenceByNameScenarioVersion`

  - ### placeholderValues

    @Nonnull public CompletionRequestConfigurationReferenceByNameScenarioVersion placeholderValues(@Nullable Map<String,String> placeholderValues)
    Set the placeholderValues of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance and return the same instance.
    Parameters:
      `placeholderValues` - The placeholderValues of this `CompletionRequestConfigurationReferenceByNameScenarioVersion`
    Returns:
      The same instance of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` class

  - ### putplaceholderValuesItem

    @Nonnull public CompletionRequestConfigurationReferenceByNameScenarioVersion putplaceholderValuesItem(@Nonnull String key, @Nonnull String placeholderValuesItem)
    Put one placeholderValues instance to this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance.
    Parameters:
      `key` - The String key of this placeholderValues instance
      `placeholderValuesItem` - The placeholderValues that should be added under the given key
    Returns:
      The same instance of type `CompletionRequestConfigurationReferenceByNameScenarioVersion`

  - ### getPlaceholderValues

    @Nonnull public Map<String,String> getPlaceholderValues()
    Get placeholderValues
    Returns:
      placeholderValues The placeholderValues of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance.

  - ### setPlaceholderValues

    public void setPlaceholderValues(@Nullable Map<String,String> placeholderValues)
    Set the placeholderValues of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance.
    Parameters:
      `placeholderValues` - The placeholderValues of this `CompletionRequestConfigurationReferenceByNameScenarioVersion`

  - ### messagesHistory

    @Nonnull public CompletionRequestConfigurationReferenceByNameScenarioVersion messagesHistory(@Nullable List<ChatMessage> messagesHistory)
    Set the messagesHistory of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance and return the same instance.
    Parameters:
      `messagesHistory` - History of chat messages. Can be used to provide system and assistant messages to set the context of the conversation. Will be merged with the template message
    Returns:
      The same instance of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` class

  - ### addMessagesHistoryItem

    @Nonnull public CompletionRequestConfigurationReferenceByNameScenarioVersion addMessagesHistoryItem(@Nonnull ChatMessage messagesHistoryItem)
    Add one messagesHistory instance to this `CompletionRequestConfigurationReferenceByNameScenarioVersion`.
    Parameters:
      `messagesHistoryItem` - The messagesHistory that should be added
    Returns:
      The same instance of type `CompletionRequestConfigurationReferenceByNameScenarioVersion`

  - ### getMessagesHistory

    @Nonnull public List<ChatMessage> getMessagesHistory()
    History of chat messages. Can be used to provide system and assistant messages to set the context of the conversation. Will be merged with the template message
    Returns:
      messagesHistory The messagesHistory of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance.

  - ### setMessagesHistory

    public void setMessagesHistory(@Nullable List<ChatMessage> messagesHistory)
    Set the messagesHistory of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance.
    Parameters:
      `messagesHistory` - History of chat messages. Can be used to provide system and assistant messages to set the context of the conversation. Will be merged with the template message

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `CompletionRequestConfigurationReferenceByNameScenarioVersion`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static CompletionRequestConfigurationReferenceByNameScenarioVersion.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `CompletionRequestConfigurationReferenceByNameScenarioVersion` instance with all required arguments.